Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core.jsb
Interface ServiceBeanAdmin

All Superinterfaces:
  Remote

All Known Subinterfaces:
  CybernodeAdmin, ProvisionMonitorAdmin, ServiceAdmin

All Known Implementing Classes:
  ConstrainableServiceAdminProxy, ServiceAdminImpl, ServiceAdminProxy

    public interface ServiceBeanAdmin

extends Remote

Get and set the `ServiceElement` for a service

Method Summary
`Uuid` | `getServiceBeanInstantiatorUuid()` Get the Uuid of the ServiceBeanInstantiator the ServiceBean is being hosted by
`ServiceElement` | `getServiceElement()` Get the ServiceElement for the ServiceBean
`long` | `getUpTime()` How long the service has been running
`void` | `setServiceElement(ServiceElement sElem)` Set the ServiceElement for the ServiceBean

Method Detail

### getServiceElement

    ServiceElement getServiceElement()
                                     throws RemoteException

  Get the ServiceElement for the ServiceBean

  Returns:
    The ServiceElement
  Throws:
    `RemoteException` - If communication errors occur

### setServiceElement

    void setServiceElement(ServiceElement sElem)
                           throws RemoteException

  Set the ServiceElement for the ServiceBean

  Parameters:
    `sElem` - The ServiceElement
  Throws:
    `RemoteException` - If communication errors occur

### getUpTime

    long getUpTime()
                   throws RemoteException

  How long the service has been running

  Returns:
    The amount of time (in milliseconds) the servie has been "up" (running)
  Throws:
    `RemoteException` - If communication errors occur

### getServiceBeanInstantiatorUuid

    Uuid getServiceBeanInstantiatorUuid()
                                        throws RemoteException

  Get the Uuid of the ServiceBeanInstantiator the ServiceBean is being hosted by

  Returns:
    The Uuid of the ServiceBeanInstantiator the ServiceBean is being hosted by
  Throws:
    `RemoteException` - If communication errors occur

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.